org.apache.ignite.internal.visor.tx

## Enum VisorTxOperation

- java.lang.Object
- - java.lang.Enum<VisorTxOperation>
  - - org.apache.ignite.internal.visor.tx.VisorTxOperation

All Implemented Interfaces:
  Serializable, Comparable<VisorTxOperation>

    public enum VisorTxOperation
    extends Enum<VisorTxOperation>

Defines possible Visor operation on transactions.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INFO` Print detailed info about transaction.
`KILL` Kill matching transactions.
`LIST` List matching transactions.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable VisorTxOperation` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static VisorTxOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorTxOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LIST

    public static final VisorTxOperation LIST

List matching transactions.

#### KILL

    public static final VisorTxOperation KILL

Kill matching transactions.

#### INFO

    public static final VisorTxOperation INFO

Print detailed info about transaction.

### Method Detail

#### values

    public static VisorTxOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorTxOperation c : VisorTxOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorTxOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable VisorTxOperation fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021